#
# spec file for package python-tableauserverclient
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-tableauserverclient
Version:        0.18.0
Release:        1.9
Summary:        Python library for working with the Tableau Server REST API
License:        MIT
URL:            https://github.com/tableau/server-client-python
Source:         https://files.pythonhosted.org/packages/source/t/tableauserverclient/tableauserverclient-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.11
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.11}
BuildRequires:  %{python_module requests-mock >= 1.0}
# /SECTION
%python_subpackages

%description
A Python module for working with the Tableau Server REST API.

%prep
%setup -q -n tableauserverclient-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 20 2022 pgajdos@suse.com
- version update to 0.18.0
  [#]# 0.18.0 (6 April 2022)
  * Switched to using defused_xml for xml attack protection
  * added linting and type hints
  * improve experience with self-signed certificates/invalid ssl
  * updated samples
  * new item types: metrics, revisions for datasources and workbooks
  * features: support adding flows to schedules, exporting workbooks to powerpoint
  * fixes: delete extracts
  [#]# 0.17.0 (20 October 2021)
  * Added support for accepting parameters for post request of the metadata api (#850)
  * Fixed jobs.get_by_id(job_id) example & reference docs (#867, #868)
  * Fixed handling for workbooks in personal spaces which do not have projectID or Name  (#875)
  * Updated links to Data Source Methods page in REST API docs (#879)
  * Unified arguments of sample scripts (#889)
  * Updated docs for - links to Datasource API (#879) ,  sample scripts (#892) & metadata query (#896)
  * Added support for scheduling DataUpdate Jobs (#891)
  * Exposed the fileuploads API endpoint (#894)
  * Added a new sample & documentation for metadata API (#895, #896)
  * Added support to the package for getting flow run status, as well as the ability to cancel flow runs. (#884)
  * Added jobs.wait_for_job method (#903)
  * Added description support for datasources item (#912)
  * Dropped support for Python 3.5 (#911)
  [#]# 0.16.0 (15 July 2021)
  * Documentation updates (#800, #818, #839, #842)
  * Fixed data alert repr in subscription item (#821)
  * Added support for Data Quality Warning (#836)
  * Added support for renaming datasources (#843)
  * Improved Datasource tests (#843)
  * Updated catalog obfuscation field (#844)
  * Fixed revision limit field in site_item.py file (#847)
  * Added the Missing content permission field- LockedToProjectWithoutNested (#856)
- python-mock is not required for build
* Thu Feb 18 2021 John Vandenberg <jayvdb@gmail.com>
- Switch to using PyPI source
- Update to v0.15.0
  * Added support for python version 3.9
  * Added support for 'Get View by ID'
  * Added docs and test data to MANIFEST.in file
  * Added owner_id property to ProjectItem
  * Added support for skipping connection check while publishing workbook
  * Added support for 'Update Subscription'
  * Added support for 'Get Groups for a User'
  * Improved debug logging by including put/post request contents
  * Improved local and active-directory group creation
  * Improved 'Update Group' to match server requests/responses
  * Improved SiteItem with new properties and functions
  * Improved SubscriptionItem with new properties
  * Improved the 'type' property of TaskItem to convert server response to enum
  * Improved repository to use Github Actions for running tests/linter
  * Fixed data_acceleration field causing error in workbook update payload
* Thu Jan 21 2021 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.14.1
